Bug 664150 - (ghc-monads-fd) Review Request: ghc-monads-fd - Monad classes, using functional dependencies
Review Request: ghc-monads-fd - Monad classes, using functional dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready
:
Depends On:
Blocks: 664155
  Show dependency treegraph
 
Reported: 2010-12-18 13:22 EST by Narasimhan
Modified: 2012-04-10 01:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 01:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2010-12-18 13:22:02 EST
SRPM URL : https://sites.google.com/site/lakshminaras2002/home/ghc-monads-fd-0.1.0.4-1.fc15.src.rpm?attredirects=0&d=1

SPEC file URL : https://sites.google.com/site/lakshminaras2002/home/ghc-monads-fd.spec?attredirects=0&d=1

rpmlint output
rpmlint  -i ghc-monads-fd*fc15*.rpm ghc-monads-fd.spec
ghc-monads-fd.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: E: devel-dependency ghc-monads-fd-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-monads-fd-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-7.0.1/monads-fd-0.1.0.4/libHSmonads-fd-0.1.0.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 33 warnings.
Comment 1 Narasimhan 2011-04-03 01:40:49 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-monads-fd.spec

http://narasim.fedorapeople.org/package_reviews/ghc-monads-fd-0.1.0.4-2.fc14.src.rpm

rpmlint  -i ghc-monads-fd.spec ~/rpmbuild/RPMS/i686/ghc-monads-fd-
ghc-monads-fd-0.1.0.4-2.fc14.i686.rpm        ghc-monads-fd-devel-0.1.0.4-2.fc14.i686.rpm  ghc-monads-fd-prof-0.1.0.4-2.fc14.i686.rpm
[narasimhan@localhost packaging_work]$ rpmlint  -i ghc-monads-fd.spec ~/rpmbuild/RPMS/i686/ghc-monads-fd-*.rpm ~/rpmbuild/SRPMS/ghc-monads-fd-0.1.0.4-2.fc14.src.rpm 
ghc-monads-fd.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: E: devel-dependency ghc-monads-fd-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-monads-fd-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/monads-fd-0.1.0.4/libHSmonads-fd-0.1.0.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-monads-fd.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US cecs -> ceca, cess, secs
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US pdx -> pd, pix, pax
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US edu -> ed, educ, due
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US springschool -> spring school, spring-school, Springsteen
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US mtl -> mt, ml, mel
The value of this tag appears to be misspelled. Please double-check.

4 packages and 1 specfiles checked; 1 errors, 33 warnings.
Comment 2 Jens Petersen 2011-04-11 21:47:34 EDT
What is this for? :)
Comment 3 Narasimhan 2011-04-12 02:43:35 EDT
I think this is a dependency for gitit. I can confirm that.
Comment 4 Jens Petersen 2011-09-21 11:29:02 EDT
Also needed by yi.
Comment 5 Narasimhan 2011-11-19 08:18:21 EST
This package is obsolete but yi still needs it indirectly.

Spec file link:
http://narasim.fedorapeople.org/package_reviews/ghc-monads-fd.spec

SRPM link:
http://narasim.fedorapeople.org/package_reviews/ghc-monads-fd-0.2.0.0-1.fc15.src.rpm

rpmlint  -i ghc-monads-fd-0.2.0.0-1.fc15.src.rpm  ghc-monads-fd-0.2.0.0-1.fc15.x86_64.rpm  ghc-monads-fd-devel-0.2.0.0-1.fc15.x86_64.rpm ../ghc-monads-fd.spec
ghc-monads-fd.src: W: spelling-error Summary(en_US) monad -> nomad, gonad
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.src: W: spelling-error %description -l en_US monad -> nomad, gonad
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad
The value of this tag appears to be misspelled. Please double-check.

ghc-monads-fd-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 6 warnings.
Comment 6 Jens Petersen 2011-11-23 02:18:58 EST
(Just removing the revdep for yi from here since ghc-data-accessor-monads-fd is also a depends for yi.)
Comment 7 Jens Petersen 2012-02-07 05:28:31 EST
It would be nice to update the package to cabal2spec-0.25.
Comment 8 Narasimhan 2012-02-11 00:31:31 EST
The upstream package is now deprecated . I tried to make data-accessor-monads-fd directly dependent on mtl and the build works. I need to check this with upstream. I will close this one in case we can get a  data-accessor-monads-fd package from upstream without monads-fd dep.
Comment 9 Jens Petersen 2012-02-13 03:42:29 EST
http://packdeps.haskellers.com/reverse/monads-fd
Comment 10 Ben Boeckel 2012-03-03 01:23:56 EST
Any luck getting the dep migrated?
Comment 11 Jens Petersen 2012-04-09 23:48:06 EDT
yi-0.6.5.0 no longer requires data-accessor-monads-fd.

I suggest closing this WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.